.aside-overlay {
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	opacity: 0;
	z-index: 2000;
	position: fixed;
	background: rgba(196, 196, 196, 0.5);
	visibility: hidden;
	backdrop-filter: blur(4px);
	transition: .3s;

	&--open {
		opacity: 1;
		visibility: visible;
		transition: .3s;
	}
}

.aside {
	top: 0;
	right: 0;
	bottom: 0;
	width: 300px;
	z-index: 2050;
	position: fixed;
	background: $white;
	transform: translateX(320px);
	transition: .3s;

	&--open {
		transform: translateX(0) !important;
		transition: .3s;
	}

	.card {
		min-height: 100%;
	}

	&__wrap {
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		position: absolute;
		display: flex;
		flex-direction: column;
	}

	&__header {
		z-index: 20;
		position: relative;
		background: #F1F8FF;
		padding: size-rel(10px) size-rel(25px);

		&--title {
			padding: 8px 0;
			font-size: size-rel(18px);
			line-height: size-rel(20px);
		}

		&__buttons {
			margin: 0;
			padding: 0;
			list-style: none;
			display: flex;
			flex-wrap: wrap;
			align-items: center;

			li {
				padding: 5px 0;

				&:not(:last-child) {
					margin-right: 30px;
				}
			}
		}
	}

	&__main {
		padding: size-rel(30px) size-rel(25px);
	}

	&__content {
		flex-grow: 1;
		position: relative;

		&--scroll {
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			position: absolute;
		}
	}

	@media (min-width: $screen-sm-min) {

		&--md {
			width: 542px;
			transform: translateX(580px);
		}

		&--open {
		//	transform: translateX(0);
		}
	}

	@media (min-width: $screen-md-min) {
		width: 650px;
		transform: translateX(680px);

		&--md {
			width: 542px;
			transform: translateX(580px);
		}

		&__main {
			padding: size-rel(30px) size-rel(30px);
		}

		&__header {
			display: flex;
			align-items: center;
			justify-content: space-between;
		}
	}

	@media (min-width: $screen-lg-min) {
		width: 950px;
		transform: translateX(980px);

		&--md {
			width: 542px;
			transform: translateX(580px);
		}

		&__header {
			padding: size-rel(10px) size-rel(40px);
		}

		&__main {
			padding: size-rel(30px) size-rel(40px);
		}
	}

	@media (min-width: 1320px) {
		width: 1100px;
		transform: translateX(1160px);

		&__header {
			padding: size-rel(10px) size-rel(50px);
		}

		&__main {
			padding: size-rel(30px) size-rel(50px);
		}

		&--md {
			width: 542px;
			transform: translateX(580px);
		}
	}
}

.aside-sort {
	display: grid;
	grid-template-columns: 1fr;
	grid-column-gap: 12px;
	grid-row-gap: 30px;

	&__label {
		white-space: nowrap;
		font-size: size-rel(12px);
		line-height: size-rel(24px);
	}

	&__item {

		&:not(:last-child) {
			margin-bottom: size-rel(6px);
		}
	}

	@media (min-width: $screen-sm-min) {

		&__group {
			display: flex;
		}

		&__label {
			padding-right: 10px;
		}

		&__content {
			flex-grow: 1;
		}
	}

	@media (min-width: $screen-md-min) {
		grid-template-columns: 1fr 1fr;
		grid-row-gap: 40px;
	}

	@media (min-width: $screen-lg-min) {
		grid-template-columns: 1fr 1fr 1fr;
	}
}
